package com.tomwheeler.example.stringmaster.gui.resources;

import com.tomwheeler.example.stringmaster.api.StringFunction;
import java.awt.Component;
import javax.swing.JLabel;
import javax.swing.JList;
import javax.swing.ListCellRenderer;

public class StringFunctionRenderer extends JLabel implements ListCellRenderer {
    
    public StringFunctionRenderer() {
        setOpaque(true);
    }
    
    /*
     * just shows the name of the function in the list
     */
    public Component getListCellRendererComponent(
            JList list,
            Object value,
            int index,
            boolean isSelected,
            boolean cellHasFocus) {
        
        if (isSelected) {
            setBackground(list.getSelectionBackground());
            setForeground(list.getSelectionForeground());
        } else {
            setBackground(list.getBackground());
            setForeground(list.getForeground());
        }
        
        StringFunction func = (StringFunction)value;
        setText(func.getName());
        
        return this;
    }
}
